﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TrackerBridge
{
    public delegate void ConnectionEventHandler(IBridgeTracker sender);
    public delegate void GazeDataHandler(GazeData data, Object sender);

    public interface IBridgeTracker
    {
        event ConnectionEventHandler ConnectionEvent;
        event ConnectionEventHandler ConnectionTimeout;
        event GazeDataHandler GazeDataAvailable;

        Single OutputFrequency { get; set; }
        String SerialNumber { get; }
        Single TrackingFrequency { get; set; } 

        void Connect();
    }
}
